org.eclipse.actf.ai.tts

## Class TTSRegistry

- java.lang.Object
- - org.eclipse.actf.ai.tts.TTSRegistry

    public class TTSRegistry
    extends Object

TTSRegistry manages the TTS engine plug-ins.

### Constructor Summary

Constructors
Constructor and Description
`TTSRegistry()`

### Method Summary

Methods
`static ITTSEngine` `createTTSEngine(String id)`
`static String` `getDefaultEngine()` This returns the ID of TTS engine which has the highest priority in the available engines.
`static String[][]` `getLabelAndIds()` This returns {"name", "id"} pairs of TTS engine plug-ins.
`static boolean` `isAvailable(String id)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TTSRegistry

    public TTSRegistry()

### Method Detail

#### isAvailable

    public static boolean isAvailable(String id)

Parameters:
  `id` - the ID of TTS engine plug-in.
Returns:
  whether the TTS engine specified the ID is available or not.

#### getDefaultEngine

    public static String getDefaultEngine()

This returns the ID of TTS engine which has the highest priority in the available engines.

Returns:
  the ID of the default TTS engine.

#### getLabelAndIds

    public static String[][] getLabelAndIds()

This returns {"name", "id"} pairs of TTS engine plug-ins.

Returns:
  the string array of {"name", "id"} pairs.

#### createTTSEngine

    public static ITTSEngine createTTSEngine(String id)

Parameters:
  `id` - the ID of TTS engine plug-in.
Returns:
  the instance of ITTSEngine specified by the ID.